Fetch smallcase subscriptions

The API provides details about all the smallcases a user has subscribed to from the partner platform along with payment details. The API provides subscription details like status, publisher, pending amount, start date, end date, plan type, duration etc.

Use case: This API is ideal when you want to display the smallcase subscription details to the user.

Sample responses

{
    "id":"614c2ecfd0acab543978adb2",
    "status":"REQUESTED_ACCESS",
    "publisher":"gatewaydemo",
    "publisherName":"Gateway Demo",
    "isCancellable":false,
    "pendingAmount":0,
    "pricingType":"SMALLCASE",
    "scids":[
        {
            "scid":"GATEMO_0002",
            "smallcaseName":"testgatewayprivate"
        }
    ]
}
{
    "id":"614c2ecfd0acab543978adb2",
    "status":"SUBSCRIBED",
    "publisher":"gatewaydemo",
    "publisherName":"Gateway Demo",
    "isCancellable":false,
    "pendingAmount":0,
    "pricingType":"SMALLCASE",
    "scids":[
        {
            "scid":"GATEMO_0002",
            "smallcaseName":"testgatewayprivate"
        }
    ],
    "date":"2021-09-23T07:41:07.552Z",
    "endDate":"2021-10-23T00:00:00.000Z",
    "cancellation":{
        "value":false
    },
    "isRenewable":false,
    "amount":1,
    "planRenewal":"oneTime",
    "planType":"flatFee",
    "duration":"1m"
}
{
    "id":"614c2ecfd0acab543978adb2",
    "status":"SUBSCRIBED",
    "publisher":"gatewaydemo",
    "publisherName":"Gateway Demo",
    "isCancellable":false,
    "pendingAmount":0,
    "pricingType":"SMALLCASE",
    "scids":[
        {
            "scid":"GATEMO_0002",
            "smallcaseName":"testgatewayprivate"
        }
    ],
    "date":"2021-07-23T07:41:07.552Z",
    "endDate":"2021-09-23T00:00:00.000Z",
    "cancellation":{
        "value":true,
        "scheduledDate":"2021-09-30T00:00:00.000Z",
        "reason":"Auto downgrade"
    },
    "isRenewable":true,
    "amount":1,
    "planRenewal":"oneTime",
    "planType":"flatFee",
    "duration":"1m"
}
{
    "id":"614c2ecfd0acab543978adb2",
    "status":"UNSUBSCRIBED",
    "publisher":"gatewaydemo",
    "publisherName":"Gateway Demo",
    "isCancellable":false,
    "pendingAmount":0,
    "pricingType":"SMALLCASE",
    "scids":[
        {
            "scid":"GATEMO_0002",
            "smallcaseName":"testgatewayprivate"
        }
    ],
    "endDate":"2021-09-23T00:00:00.000Z"
}
{
   "id":"61bacc55ff34c7bc7c92e7a9",
   "status":"SUBSCRIBED",
   "publisher":"gatewaydemo",
   "publisherName":"Gateway Demo",
   "state":"AUM_UPFRONT_DEBIT_PENDING",
   "isCancellable":false,
   "pendingAmount":0,
   "pricingType":"SMALLCASE",
   "scids":[
      {
         "scid":"GATETR_0002",
         "smallcaseName":"GPS one"
      }
   ],
   "date":"2021-12-16T05:20:30.939Z",
   "endDate":"2022-01-16T00:00:00.000Z",
   "cancellation":{
      "value":false
   },
   "isRenewable":false,
   "upfrontAmount":5,
   "chargeRatio":0.01,
   "planRenewal":"auto",
   "planType":"aum",
   "duration":"1m"
}


Request parameters

Path Params
string
required
Defaults to gatewaydemo
Headers
string
required
Defaults to gatewayDemo_secret

Required | apiSecret shared for authentication

string
required
Defaults to eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzbWFsbGNhc2VBdXRoSWQiOiI2MzFmYWQwMWQ5ZmU3YmEzNGI2YzBhM2EiLCJleHAiOjE5MDAwMDAwMDB9.-_6ykYyKke4xuKImlYEPTX9fJhLoMU86qMHRX0YY6eA

Required | JWT signed with shared secret & payload for connected user

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json